<template>
  <div id="main-container-div" class="p-2 d-flex justify-content-center">
    <BootstrapLoader v-if="!platformDetails"></BootstrapLoader>
    <div v-if="platformDetails">      
      <b-dropdown        
        variant="outline-primary"
        text="Choose a (Platform-Tool) Registration:"
        class="m-2"
        lazy
      >
        <b-link
          :to="{ name: 'PlatformRoute', params:{platformid : platformDetails['id'], clientid: registration['client_id']}}"
          v-bind:key="registration.tool_name"
          v-for="registration in registrationDetails"
          :value="registration['tool_name']"
        >{{platformDetails['name']}} -> {{registration['tool_name']}} (Client Id: {{registration['client_id']}})</b-link>
      </b-dropdown>
      <router-view/>
    </div>    
  </div>
</template>

<script>
import { Component, Vue } from "vue-property-decorator";
import { mapGetters } from "vuex";
import BootstrapLoader from "./General/BootstrapLoader";

@Component({
  computed: {
    ...mapGetters(["platformDetails", "registrationDetails"]) // using the getters defined in the store...
  },
  components: {
    BootstrapLoader
  }
})
export default class MainContainer extends Vue {
  created() {
    this.$store.dispatch("fetchPlatforms");
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
#main-container-div {
  flex: auto;
}
</style>
